Aprepro 5.0x

List of all members
SEAMS::Parser::symbol_type Struct Reference

"External" symbols: returned by the scanner. More...

`#include <aprepro_parser.h>`

Inheritance diagram for SEAMS::Parser::symbol_type:
[legend]
Collaboration diagram for SEAMS::Parser::symbol_type:
[legend]

## Additional Inherited Members
Public Types inherited from SEAMS::Parser::basic_symbol< by_type >
typedef by_type | super_type
| Alias to Base. More...
Public Types inherited from SEAMS::Parser::by_type
typedef token_type | kind_type
| The symbol type as needed by the constructor. More...
Public Member Functions inherited from SEAMS::Parser::basic_symbol< by_type >
| basic_symbol ()
| Default constructor. More...
| basic_symbol (const basic_symbol &that)
| Copy constructor. More...
| basic_symbol (typename by_type ::kind_type t)
| Constructor for valueless symbols. More...
| basic_symbol (typename by_type ::kind_type t, YY_RVREF(semantic_type) v)
| Constructor for symbols with semantic value. More...
| ~basic_symbol ()
| Destroy the symbol. More...
void | clear ()
| Destroy contents, and record that is empty. More...
bool | empty () const YY_NOEXCEPT
| Whether empty. More...
void | move (basic_symbol &s)
| Destructive move, s is emptied into this. More...
Public Member Functions inherited from SEAMS::Parser::by_type
| by_type ()
| Default constructor. More...
| by_type (const by_type &that)
| Copy constructor. More...
| by_type (kind_type t)
| Constructor from (external) token numbers. More...
void | clear ()
| Record that this symbol is empty. More...
void | move (by_type &that)
| Steal the symbol type from that. More...
symbol_number_type | type_get () const YY_NOEXCEPT
token_type | token () const YY_NOEXCEPT
| The token. More...
Public Attributes inherited from SEAMS::Parser::basic_symbol< by_type >
semantic_type | value
| The semantic value. More...
Public Attributes inherited from SEAMS::Parser::by_type
int | type

## Detailed Description

"External" symbols: returned by the scanner.

The documentation for this struct was generated from the following file:

- aprepro_parser.h